------------------------------------------------------------------------
r9942 | funkydude | 2013-02-12 13:42:28 +0000 (Tue, 12 Feb 2013) | 1 line
Changed paths:
   M /trunk/Plugins/Duration.lua

Duration: tweaks for testing
------------------------------------------------------------------------
r9941 | maat | 2013-02-11 20:36:35 +0000 (Mon, 11 Feb 2013) | 1 line
Changed paths:
   M /trunk/ThroneOfThunder/Durumu.lua
   M /trunk/ThroneOfThunder/Megaera.lua
   M /trunk/ThroneOfThunder/TwinConsorts.lua

bit of cleanup + todo update
------------------------------------------------------------------------
r9940 | maat | 2013-02-11 19:32:47 +0000 (Mon, 11 Feb 2013) | 1 line
Changed paths:
   M /trunk/ThroneOfThunder/Durumu.lua

start populating the module
------------------------------------------------------------------------
r9939 | funkydude | 2013-02-11 15:03:15 +0000 (Mon, 11 Feb 2013) | 1 line
Changed paths:
   M /trunk/.pkgmeta
   M /trunk/BigWigs.toc
   M /trunk/Core/BossPrototype.lua
   M /trunk/Core/libs.xml
   A /trunk/Libs/LibStub
   A /trunk/Libs/LibStub/LibStub.lua
   M /trunk/Pandaria/Salyis.lua
   M /trunk/Pandaria/ShaOfAnger.lua
   M /trunk/Plugins/Duration.lua
   M /trunk/Plugins/libs.xml
   M /trunk/ThroneOfThunder/Horridon.lua
   M /trunk/embeds.xml

BossPrototype: revert removal of incoming and outgoing :Whisper filters and just embed LibChatAnims instead to prevent the taint.
------------------------------------------------------------------------
r9938 | nebula169 | 2013-02-11 10:18:05 +0000 (Mon, 11 Feb 2013) | 1 line
Changed paths:
   M /trunk/HeartOfFear/Unsok.lua

HeartOfFear/Unsok: fix the p3 message
------------------------------------------------------------------------
r9937 | nebula169 | 2013-02-11 08:23:44 +0000 (Mon, 11 Feb 2013) | 1 line
Changed paths:
   M /trunk/HeartOfFear/Unsok.lua

HeartOfFear/Unsok: pass args to monster death
------------------------------------------------------------------------
r9936 | funkydude | 2013-02-10 22:38:22 +0000 (Sun, 10 Feb 2013) | 1 line
Changed paths:
   M /trunk/HeartOfFear/Unsok.lua

Unsok: Refresh the explosion cast bar even if we prevented it.
------------------------------------------------------------------------
r9935 | funkydude | 2013-02-10 22:04:06 +0000 (Sun, 10 Feb 2013) | 1 line
Changed paths:
   M /trunk/HeartOfFear/Unsok.lua

Unsok: Fix stopping the monster casting bar, move the phase 3 cancelling stuff to monster death.
------------------------------------------------------------------------
r9934 | funkydude | 2013-02-10 21:45:40 +0000 (Sun, 10 Feb 2013) | 1 line
Changed paths:
   M /trunk/HeartOfFear/Unsok.lua

Unsok: fix stopping parasite bar
------------------------------------------------------------------------
r9933 | maat | 2013-02-10 17:14:38 +0000 (Sun, 10 Feb 2013) | 1 line
Changed paths:
   M /trunk/ThroneOfThunder/JiKun.lua

start populating the module
------------------------------------------------------------------------
r9932 | funkydude | 2013-02-10 02:35:53 +0000 (Sun, 10 Feb 2013) | 1 line
Changed paths:
   M /trunk/Options/Options.lua
   M /trunk/ThroneOfThunder/Horridon.lua

Horridon: various fixes
------------------------------------------------------------------------
r9931 | pettigrow | 2013-02-08 22:30:07 +0000 (Fri, 08 Feb 2013) | 1 line
Changed paths:
   M /trunk/HeartOfFear/Locales/frFR.lua
   M /trunk/Locales/frFR.lua

frFR Update
------------------------------------------------------------------------
r9930 | maat | 2013-02-08 18:34:05 +0000 (Fri, 08 Feb 2013) | 1 line
Changed paths:
   M /trunk/ThroneOfThunder/TwinConsorts.lua

start populating the module
------------------------------------------------------------------------
r9929 | nebula169 | 2013-02-08 03:24:03 +0000 (Fri, 08 Feb 2013) | 1 line
Changed paths:
   M /trunk/HeartOfFear/Zorlok.lua

HeartOfFear/Zorlok: and fix the fix of the fix
------------------------------------------------------------------------
r9928 | nebula169 | 2013-02-08 03:12:32 +0000 (Fri, 08 Feb 2013) | 1 line
Changed paths:
   M /trunk/HeartOfFear/Zorlok.lua

HeartOfFear/Zorlok: and fix the fix
------------------------------------------------------------------------
r9927 | nebula169 | 2013-02-08 03:01:47 +0000 (Fri, 08 Feb 2013) | 1 line
Changed paths:
   M /trunk/HeartOfFear/Zorlok.lua

HeartOfFear/Zorlok: simplify and fix attenuation tracking for heroic
------------------------------------------------------------------------
r9926 | funkydude | 2013-02-08 02:51:32 +0000 (Fri, 08 Feb 2013) | 1 line
Changed paths:
   M /trunk/ThroneOfThunder/Council.lua

Council: fix assault id, remove counting nonsense, bugfix sandcrawler death, skull the possessed npc.
------------------------------------------------------------------------
r9925 | funkydude | 2013-02-08 02:15:30 +0000 (Fri, 08 Feb 2013) | 1 line
Changed paths:
   M /trunk/ThroneOfThunder/Council.lua

Council: bugfix
------------------------------------------------------------------------
r9924 | funkydude | 2013-02-08 01:50:32 +0000 (Fri, 08 Feb 2013) | 1 line
Changed paths:
   M /trunk/ThroneOfThunder/Horridon.lua

Horridon: more fixes
------------------------------------------------------------------------
r9923 | funkydude | 2013-02-08 01:18:06 +0000 (Fri, 08 Feb 2013) | 1 line
Changed paths:
   M /trunk/ThroneOfThunder/Horridon.lua

Horridon: bugfixes
------------------------------------------------------------------------
r9922 | _yusaku_ | 2013-02-07 23:44:01 +0000 (Thu, 07 Feb 2013) | 1 line
Changed paths:
   M /trunk/HeartOfFear/Locales/itIT.lua

itIT Locale updates
------------------------------------------------------------------------
r9921 | funkydude | 2013-02-07 19:47:55 +0000 (Thu, 07 Feb 2013) | 1 line
Changed paths:
   M /trunk/HeartOfFear/Locales/deDE.lua
   M /trunk/HeartOfFear/Locales/esES.lua
   M /trunk/HeartOfFear/Locales/frFR.lua
   M /trunk/HeartOfFear/Locales/itIT.lua
   M /trunk/HeartOfFear/Locales/ruRU.lua
   M /trunk/HeartOfFear/Locales/zhCN.lua
   M /trunk/HeartOfFear/Locales/zhTW.lua
   M /trunk/HeartOfFear/Unsok.lua

Unsok: remove colored text.
------------------------------------------------------------------------
r9920 | Wetxius | 2013-02-06 20:41:10 +0000 (Wed, 06 Feb 2013) | 1 line
Changed paths:
   M /trunk/Mogushan/Locales/ruRU.lua

Fixed rage_trigger for ruRU locale.
------------------------------------------------------------------------
r9919 | _yusaku_ | 2013-02-06 17:52:32 +0000 (Wed, 06 Feb 2013) | 1 line
Changed paths:
   M /trunk/HeartOfFear/Locales/itIT.lua
   M /trunk/Locales/itIT.lua
   M /trunk/Mogushan/Locales/itIT.lua
   M /trunk/Plugins/Locales/itIT.lua

itIT Locale updates
------------------------------------------------------------------------
r9918 | maat | 2013-02-06 15:20:03 +0000 (Wed, 06 Feb 2013) | 1 line
Changed paths:
   M /trunk/Plugins/Proximity.lua

update throne map data
------------------------------------------------------------------------
r9917 | maat | 2013-02-06 15:18:47 +0000 (Wed, 06 Feb 2013) | 1 line
Changed paths:
   M /trunk/ThroneOfThunder/DarkAnimus.lua

start populating the module
------------------------------------------------------------------------
r9916 | nebula169 | 2013-02-05 21:03:12 +0000 (Tue, 05 Feb 2013) | 1 line
Changed paths:
   M /trunk/Core/Constants.lua

Show role icons to the right of the spell name
------------------------------------------------------------------------
r9915 | maat | 2013-02-05 17:25:26 +0000 (Tue, 05 Feb 2013) | 1 line
Changed paths:
   M /trunk/ThroneOfThunder/Megaera.lua

start populating the module
------------------------------------------------------------------------
r9914 | jongt23 | 2013-02-05 16:02:40 +0000 (Tue, 05 Feb 2013) | 1 line
Changed paths:
   M /trunk/Locales/esES.lua
   M /trunk/Plugins/Locales/esES.lua

esES update
------------------------------------------------------------------------
r9913 | funkydude | 2013-02-05 15:26:41 +0000 (Tue, 05 Feb 2013) | 1 line
Changed paths:
   M /trunk/Core/BossPrototype.lua
   M /trunk/ThroneOfThunder/Horridon.lua

BossPrototype: remove GetFlagIcon
------------------------------------------------------------------------
r9912 | funkydude | 2013-02-05 15:09:07 +0000 (Tue, 05 Feb 2013) | 1 line
Changed paths:
   M /trunk/Core/Core.lua

remove :Translate API
------------------------------------------------------------------------
r9911 | maat | 2013-02-05 14:32:48 +0000 (Tue, 05 Feb 2013) | 1 line
Changed paths:
   M /trunk/ThroneOfThunder/Tortos.lua

Tortos.lua populate module (still need Transcriptor log)
------------------------------------------------------------------------
r9910 | funkydude | 2013-02-05 14:20:08 +0000 (Tue, 05 Feb 2013) | 1 line
Changed paths:
   M /trunk/Locales/deDE.lua
   M /trunk/Locales/esES.lua
   M /trunk/Locales/frFR.lua
   M /trunk/Locales/itIT.lua
   M /trunk/Locales/koKR.lua
   M /trunk/Locales/ptBR.lua
   M /trunk/Locales/zhCN.lua
   M /trunk/Locales/zhTW.lua

fix some locale strings
------------------------------------------------------------------------
r9909 | Wetxius | 2013-02-05 14:03:20 +0000 (Tue, 05 Feb 2013) | 1 line
Changed paths:
   M /trunk/Locales/ruRU.lua
   M /trunk/Plugins/Locales/ruRU.lua

ruRU update.
------------------------------------------------------------------------
r9908 | funkydude | 2013-02-05 13:35:37 +0000 (Tue, 05 Feb 2013) | 1 line
Changed paths:
   M /trunk/Core/BossPrototype.lua

BossPrototype: add a 3rd arg to :Say to make it directly print the sent message like the old :Say functionality.
------------------------------------------------------------------------
r9907 | funkydude | 2013-02-05 13:20:47 +0000 (Tue, 05 Feb 2013) | 1 line
Changed paths:
   M /trunk/Locales/koKR.lua
   M /trunk/Locales/ptBR.lua

some translations
------------------------------------------------------------------------
r9906 | funkydude | 2013-02-05 10:27:19 +0000 (Tue, 05 Feb 2013) | 1 line
Changed paths:
   M /trunk/Core/BossPrototype.lua
   M /trunk/Core/Constants.lua
   M /trunk/Core/Core.lua
   M /trunk/EndlessSpring/Protector.lua
   M /trunk/EndlessSpring/ShaOfFear.lua
   M /trunk/EndlessSpring/Tsulong.lua
   M /trunk/HeartOfFear/Meljarak.lua
   M /trunk/HeartOfFear/Shekzeer.lua
   M /trunk/HeartOfFear/Tayak.lua
   M /trunk/HeartOfFear/Unsok.lua
   M /trunk/HeartOfFear/Zorlok.lua
   M /trunk/Locales/deDE.lua
   M /trunk/Locales/enUS.lua
   M /trunk/Locales/esES.lua
   M /trunk/Locales/frFR.lua
   M /trunk/Locales/itIT.lua
   M /trunk/Locales/koKR.lua
   M /trunk/Locales/ptBR.lua
   M /trunk/Locales/ruRU.lua
   M /trunk/Locales/zhCN.lua
   M /trunk/Locales/zhTW.lua
   M /trunk/Mogushan/Elegon.lua
   M /trunk/Mogushan/Feng.lua
   M /trunk/Mogushan/TheSpiritKings.lua
   M /trunk/Mogushan/TheStoneGuard.lua
   M /trunk/Mogushan/WillOfTheEmperor.lua
   M /trunk/Options/Options.lua
   M /trunk/Pandaria/ShaOfAnger.lua
   M /trunk/Plugins/Colors.lua
   M /trunk/Plugins/Flash.lua
   M /trunk/Plugins/Locales/deDE.lua
   M /trunk/Plugins/Locales/enUS.lua
   M /trunk/Plugins/Locales/esES.lua
   M /trunk/Plugins/Locales/frFR.lua
   M /trunk/Plugins/Locales/itIT.lua
   M /trunk/Plugins/Locales/koKR.lua
   M /trunk/Plugins/Locales/ptBR.lua
   M /trunk/Plugins/Locales/ruRU.lua
   M /trunk/Plugins/Locales/zhCN.lua
   M /trunk/Plugins/Locales/zhTW.lua
   M /trunk/ThroneOfThunder/Council.lua
   M /trunk/ThroneOfThunder/Horridon.lua
   M /trunk/ThroneOfThunder/IronQon.lua
   M /trunk/ThroneOfThunder/Jinrokh.lua
   M /trunk/ThroneOfThunder/LeiShen.lua

API breakage, rename flashshake > flash and purge leftover instances of shake.
------------------------------------------------------------------------
r9905 | nebula169 | 2013-02-05 02:20:28 +0000 (Tue, 05 Feb 2013) | 1 line
Changed paths:
   M /trunk/ThroneOfThunder/Council.lua
   M /trunk/ThroneOfThunder/Horridon.lua
   M /trunk/ThroneOfThunder/LeiShen.lua

ThroneOfThunder: update modules to use role bitflags
------------------------------------------------------------------------
r9904 | nebula169 | 2013-02-05 01:53:03 +0000 (Tue, 05 Feb 2013) | 1 line
Changed paths:
   M /trunk/Core/BossPrototype.lua
   M /trunk/Core/Constants.lua
   M /trunk/EndlessSpring/LeiShi.lua
   M /trunk/EndlessSpring/ShaOfFear.lua
   M /trunk/HeartOfFear/Garalon.lua
   M /trunk/HeartOfFear/Locales/zhCN.lua
   M /trunk/HeartOfFear/Meljarak.lua
   M /trunk/HeartOfFear/Shekzeer.lua
   M /trunk/HeartOfFear/Tayak.lua
   M /trunk/Locales/common.deDE.lua
   M /trunk/Locales/common.enUS.lua
   M /trunk/Locales/common.esES.lua
   M /trunk/Locales/common.frFR.lua
   M /trunk/Locales/common.itIT.lua
   M /trunk/Locales/common.koKR.lua
   M /trunk/Locales/common.ptBR.lua
   M /trunk/Locales/common.ruRU.lua
   M /trunk/Locales/common.zhCN.lua
   M /trunk/Locales/common.zhTW.lua
   M /trunk/Locales/deDE.lua
   M /trunk/Locales/enUS.lua
   M /trunk/Locales/esES.lua
   M /trunk/Locales/frFR.lua
   M /trunk/Locales/itIT.lua
   M /trunk/Locales/koKR.lua
   M /trunk/Locales/ptBR.lua
   M /trunk/Locales/ruRU.lua
   M /trunk/Locales/zhCN.lua
   M /trunk/Locales/zhTW.lua
   M /trunk/Mogushan/Feng.lua
   M /trunk/Mogushan/Garajal.lua
   M /trunk/Mogushan/TheSpiritKings.lua

Core: Add TANK, HEALER, TANK_HEALER, DISPEL_MAGIC, and DISPEL_ENRAGE bitflags to options and update modules to use them
------------------------------------------------------------------------
r9903 | funkydude | 2013-02-04 14:01:30 +0000 (Mon, 04 Feb 2013) | 1 line
Changed paths:
   M /trunk/EndlessSpring/Protector.lua
   M /trunk/EndlessSpring/ShaOfFear.lua
   M /trunk/EndlessSpring/Tsulong.lua
   M /trunk/HeartOfFear/Meljarak.lua

cleanup some death functions
------------------------------------------------------------------------
r9902 | funkydude | 2013-02-04 13:20:25 +0000 (Mon, 04 Feb 2013) | 1 line
Changed paths:
   M /trunk/HeartOfFear/Locales/zhTW.lua
   M /trunk/Locales/common.zhTW.lua
   M /trunk/Locales/zhTW.lua
   M /trunk/Mogushan/Locales/zhTW.lua
   M /trunk/Plugins/Locales/zhTW.lua

zhTW update by BNSSNB
------------------------------------------------------------------------
r9901 | Starinnia | 2013-02-04 01:52:05 +0000 (Mon, 04 Feb 2013) | 1 line
Changed paths:
   M /trunk/Loader.lua

-fix extra paren in Loader
------------------------------------------------------------------------
r9900 | funkydude | 2013-02-03 22:18:05 +0000 (Sun, 03 Feb 2013) | 1 line
Changed paths:
   M /trunk/HeartOfFear/Unsok.lua

Unsok: fix the monster cast bar text
------------------------------------------------------------------------
r9899 | funkydude | 2013-02-03 22:12:00 +0000 (Sun, 03 Feb 2013) | 1 line
Changed paths:
   M /trunk/Loader.lua

Loader: cleanup the zone print code
------------------------------------------------------------------------
r9898 | funkydude | 2013-02-03 22:04:09 +0000 (Sun, 03 Feb 2013) | 1 line
Changed paths:
   M /trunk/Pandaria/BigWigs_Pandaria.toc

remove broken ruRU from toc notes
------------------------------------------------------------------------
r9897 | funkydude | 2013-02-03 14:35:59 +0000 (Sun, 03 Feb 2013) | 1 line
Changed paths:
   M /trunk/Core/BossPrototype.lua

BossPrototype: Let delayed messages take id's as text.
------------------------------------------------------------------------
r9896 | funkydude | 2013-02-02 15:25:00 +0000 (Sat, 02 Feb 2013) | 1 line
Changed paths:
   M /trunk/Options/Options.lua

Options: revert some code changes to the configuration menu
------------------------------------------------------------------------
r9895 | nebula169 | 2013-02-02 14:56:54 +0000 (Sat, 02 Feb 2013) | 1 line
Changed paths:
   M /trunk/HeartOfFear/Garalon.lua

HeartOfFear/Garalon: Win on either Garalon dying
------------------------------------------------------------------------
r9894 | funkydude | 2013-02-01 17:50:09 +0000 (Fri, 01 Feb 2013) | 1 line
Changed paths:
   A /trunk/Plugins/Duration.lua
   M /trunk/Plugins/modules.xml

non-functional duration module for working on later
------------------------------------------------------------------------
r9893 | _yusaku_ | 2013-02-01 16:25:51 +0000 (Fri, 01 Feb 2013) | 1 line
Changed paths:
   M /trunk/Locales/itIT.lua

itIT Locale updates
------------------------------------------------------------------------
r9892 | funkydude | 2013-02-01 15:03:37 +0000 (Fri, 01 Feb 2013) | 2 lines
Changed paths:
   M /trunk/Core/BossPrototype.lua
   M /trunk/Loader.lua
   M /trunk/Locales/deDE.lua
   M /trunk/Locales/enUS.lua
   M /trunk/Locales/esES.lua
   M /trunk/Locales/frFR.lua
   M /trunk/Locales/itIT.lua
   M /trunk/Locales/koKR.lua
   M /trunk/Locales/ptBR.lua
   M /trunk/Locales/ruRU.lua
   M /trunk/Locales/zhCN.lua
   M /trunk/Locales/zhTW.lua
   M /trunk/Options/Options.lua

Options: cleanup and localize the panel creation code, only created if appropriate expansion addon is loaded.
Loader: print a message when we enter a zone with content not in the default bw package.
------------------------------------------------------------------------
r9891 | valdriethien | 2013-02-01 08:23:14 +0000 (Fri, 01 Feb 2013) | 2 lines
Changed paths:
   M /trunk/Locales/deDE.lua
   M /trunk/Plugins/Locales/deDE.lua
   M /trunk/ThroneOfThunder/Locales/deDE.lua
   M /trunk/ThroneOfThunder/Locales/esES.lua
   M /trunk/ThroneOfThunder/Locales/frFR.lua
   M /trunk/ThroneOfThunder/Locales/itIT.lua
   M /trunk/ThroneOfThunder/Locales/koKR.lua
   M /trunk/ThroneOfThunder/Locales/ptBR.lua
   M /trunk/ThroneOfThunder/Locales/ruRU.lua
   M /trunk/ThroneOfThunder/Locales/zhCN.lua
   M /trunk/ThroneOfThunder/Locales/zhTW.lua

Added Horridon to Locales.
deDE Update.
------------------------------------------------------------------------
r9890 | jongt23 | 2013-01-31 20:05:10 +0000 (Thu, 31 Jan 2013) | 1 line
Changed paths:
   M /trunk/Locales/common.esES.lua

esES update
------------------------------------------------------------------------
r9889 | ethancentaurai | 2013-01-31 18:00:27 +0000 (Thu, 31 Jan 2013) | 1 line
Changed paths:
   M /trunk/modules.xml

Partial fix for Configure window being broken for users who checkout the repository.
------------------------------------------------------------------------
r9888 | funkydude | 2013-01-31 17:25:38 +0000 (Thu, 31 Jan 2013) | 1 line
Changed paths:
   M /trunk/HeartOfFear/Meljarak.lua

Meljarak: fix a comment
------------------------------------------------------------------------
r9887 | maat | 2013-01-31 16:53:55 +0000 (Thu, 31 Jan 2013) | 1 line
Changed paths:
   M /trunk/ThroneOfThunder/Council.lua
   M /trunk/ThroneOfThunder/Horridon.lua
   M /trunk/ThroneOfThunder/IronQon.lua
   M /trunk/ThroneOfThunder/Jinrokh.lua
   M /trunk/ThroneOfThunder/LeiShen.lua

to do comments
------------------------------------------------------------------------
r9886 | funkydude | 2013-01-31 16:35:35 +0000 (Thu, 31 Jan 2013) | 1 line
Changed paths:
   M /trunk/Core/BossPrototype.lua

BossPrototype: remove the nil check for the proximity, modules should always pass the option key (usually "proximity" if not a sub option of another ability)
------------------------------------------------------------------------
r9885 | maat | 2013-01-31 16:31:45 +0000 (Thu, 31 Jan 2013) | 1 line
Changed paths:
   M /trunk/Mogushan/Elegon.lua
   M /trunk/Mogushan/WillOfTheEmperor.lua

clean up some comments
------------------------------------------------------------------------
r9884 | funkydude | 2013-01-31 16:30:03 +0000 (Thu, 31 Jan 2013) | 1 line
Changed paths:
   M /trunk/Core/BossPrototype.lua
   M /trunk/EndlessSpring/LeiShi.lua
   M /trunk/EndlessSpring/Protector.lua
   M /trunk/EndlessSpring/ShaOfFear.lua
   M /trunk/EndlessSpring/Tsulong.lua
   M /trunk/HeartOfFear/Meljarak.lua
   M /trunk/HeartOfFear/Shekzeer.lua
   M /trunk/HeartOfFear/Tayak.lua
   M /trunk/Mogushan/Feng.lua
   M /trunk/Mogushan/TheSpiritKings.lua
   M /trunk/Mogushan/TheStoneGuard.lua
   M /trunk/Pandaria/ShaOfAnger.lua
   M /trunk/ThroneOfThunder/Council.lua
   M /trunk/ThroneOfThunder/IronQon.lua
   M /trunk/ThroneOfThunder/Jinrokh.lua
   M /trunk/ThroneOfThunder/LeiShen.lua

API breakage: swap the arguments of :OpenProximity to be consistent with all our other API. (option, range) instead of (range, option).
------------------------------------------------------------------------
r9883 | funkydude | 2013-01-31 16:07:15 +0000 (Thu, 31 Jan 2013) | 1 line
Changed paths:
   M /trunk/Core/BossPrototype.lua
   M /trunk/Mogushan/Elegon.lua
   M /trunk/Plugins/Bars.lua

BossPrototype: Blizzard actually does call it extraSpellId, not extraSpellID. Wowpedia was wrong (fixed)
------------------------------------------------------------------------
r9882 | Wetxius | 2013-01-31 11:29:44 +0000 (Thu, 31 Jan 2013) | 1 line
Changed paths:
   M /trunk/EndlessSpring/Locales/ruRU.lua

ruRU update.
------------------------------------------------------------------------
r9881 | ethancentaurai | 2013-01-31 10:15:43 +0000 (Thu, 31 Jan 2013) | 1 line
Changed paths:
   M /trunk/Plugins/Proximity.lua

Fix an error when configuring the proximity radar.
------------------------------------------------------------------------
r9880 | _yusaku_ | 2013-01-31 09:21:41 +0000 (Thu, 31 Jan 2013) | 1 line
Changed paths:
   M /trunk/Mogushan/Locales/itIT.lua

itIT Locale updates
------------------------------------------------------------------------
r9879 | pettigrow | 2013-01-30 19:46:02 +0000 (Wed, 30 Jan 2013) | 1 line
Changed paths:
   M /trunk/EndlessSpring/Locales/frFR.lua
   M /trunk/Locales/common.frFR.lua

frFR Update
------------------------------------------------------------------------
r9878 | valdriethien | 2013-01-30 15:27:20 +0000 (Wed, 30 Jan 2013) | 1 line
Changed paths:
   M /trunk/ThroneOfThunder/BigWigs_ThroneOfThunder.toc
   M /trunk/ThroneOfThunder/Locales/deDE.lua

Initial deDE Localization for Throne
------------------------------------------------------------------------
r9877 | funkydude | 2013-01-30 13:38:49 +0000 (Wed, 30 Jan 2013) | 1 line
Changed paths:
   M /trunk/Pandaria/ShaOfAnger.lua

ShaOfAnger: fix args for unleashed wrath
------------------------------------------------------------------------
r9876 | funkydude | 2013-01-30 12:56:13 +0000 (Wed, 30 Jan 2013) | 1 line
Changed paths:
   M /trunk/Core/BossPrototype.lua

BossPrototype: add .extraSpellName to our arg list.
------------------------------------------------------------------------
r9875 | funkydude | 2013-01-30 12:25:54 +0000 (Wed, 30 Jan 2013) | 1 line
Changed paths:
   M /trunk/HeartOfFear/Garalon.lua

Garalon: Even the normal health event doesn't fire boss5.
------------------------------------------------------------------------
r9874 | funkydude | 2013-01-30 12:20:00 +0000 (Wed, 30 Jan 2013) | 1 line
Changed paths:
   M /trunk/EndlessSpring/Locales/deDE.lua

Actually fix deDE
------------------------------------------------------------------------
r9873 | valdriethien | 2013-01-30 09:33:54 +0000 (Wed, 30 Jan 2013) | 1 line
Changed paths:
   M /trunk/EndlessSpring/Locales/deDE.lua

Changed encoding to UTF8 for german special characters
------------------------------------------------------------------------
r9872 | valdriethien | 2013-01-30 09:18:42 +0000 (Wed, 30 Jan 2013) | 1 line
Changed paths:
   M /trunk/HeartOfFear/BigWigs_HeartOfFear.toc
   M /trunk/HeartOfFear/Locales/deDE.lua
   M /trunk/Locales/common.deDE.lua
   M /trunk/Locales/deDE.lua
   M /trunk/Mogushan/BigWigs_Mogushan.toc
   M /trunk/Plugins/Locales/deDE.lua

deDE Localization Updates
------------------------------------------------------------------------
r9871 | _yusaku_ | 2013-01-30 08:27:07 +0000 (Wed, 30 Jan 2013) | 1 line
Changed paths:
   M /trunk/Locales/common.itIT.lua

itIT Locale updates
------------------------------------------------------------------------
r9870 | Wetxius | 2013-01-30 07:28:04 +0000 (Wed, 30 Jan 2013) | 1 line
Changed paths:
   M /trunk/HeartOfFear/Locales/ruRU.lua
   M /trunk/Locales/common.ruRU.lua

ruRU update.
------------------------------------------------------------------------
r9869 | nebula169 | 2013-01-30 04:39:03 +0000 (Wed, 30 Jan 2013) | 1 line
Changed paths:
   M /trunk/EndlessSpring/Locales/deDE.lua
   M /trunk/EndlessSpring/Locales/esES.lua
   M /trunk/EndlessSpring/Locales/frFR.lua
   M /trunk/EndlessSpring/Locales/ruRU.lua
   M /trunk/EndlessSpring/Locales/zhCN.lua
   M /trunk/EndlessSpring/Locales/zhTW.lua

fix deDE and remove an unused string
------------------------------------------------------------------------
r9868 | funkydude | 2013-01-30 01:53:54 +0000 (Wed, 30 Jan 2013) | 1 line
Changed paths:
   M /trunk/Locales/common.deDE.lua
   M /trunk/Locales/common.enUS.lua
   M /trunk/Locales/common.esES.lua
   M /trunk/Locales/common.frFR.lua
   M /trunk/Locales/common.itIT.lua
   M /trunk/Locales/common.koKR.lua
   M /trunk/Locales/common.ptBR.lua
   M /trunk/Locales/common.ruRU.lua
   M /trunk/Locales/common.zhCN.lua
   M /trunk/Locales/common.zhTW.lua

Add another common locale string
------------------------------------------------------------------------
r9867 | taker21 | 2013-01-30 01:24:37 +0000 (Wed, 30 Jan 2013) | 2 lines
Changed paths:
   M /trunk/EndlessSpring/BigWigs_EndlessSpring.toc
   M /trunk/EndlessSpring/Locales/deDE.lua

Populated deDE Localization.

------------------------------------------------------------------------
r9866 | funkydude | 2013-01-30 00:56:31 +0000 (Wed, 30 Jan 2013) | 1 line
Changed paths:
   M /trunk/Core/Core.lua

Core: fix sync events when solo
------------------------------------------------------------------------
r9865 | ethancentaurai | 2013-01-29 23:03:15 +0000 (Tue, 29 Jan 2013) | 1 line
Changed paths:
   M /trunk/Core/libs.xml

Remove non-existent libraries from Core/libs.xml.
------------------------------------------------------------------------
r9864 | funkydude | 2013-01-29 18:27:14 +0000 (Tue, 29 Jan 2013) | 1 line
Changed paths:
   M /trunk/BigWigs.toc

re-enable zips to push out the current API changes (more to come soon)
------------------------------------------------------------------------
r9863 | nebula169 | 2013-01-29 08:41:34 +0000 (Tue, 29 Jan 2013) | 1 line
Changed paths:
   M /trunk/HeartOfFear/Meljarak.lua

start reinforcement bars when the add group dies instead of on recklessness
------------------------------------------------------------------------
r9862 | nebula169 | 2013-01-29 08:03:19 +0000 (Tue, 29 Jan 2013) | 1 line
Changed paths:
   M /trunk/HeartOfFear/Shekzeer.lua

fix error
------------------------------------------------------------------------
r9861 | funkydude | 2013-01-28 22:48:53 +0000 (Mon, 28 Jan 2013) | 1 line
Changed paths:
   M /trunk/Options/Options.lua

Options: panel for Burning Crusade
------------------------------------------------------------------------
r9860 | _yusaku_ | 2013-01-28 18:55:39 +0000 (Mon, 28 Jan 2013) | 2 lines
Changed paths:
   M /trunk/HeartOfFear/BigWigs_HeartOfFear.toc
   M /trunk/HeartOfFear/Locales/itIT.lua
   M /trunk/Pandaria/BigWigs_Pandaria.toc

itIT Locale updates
itIT .toc notes typo fix
------------------------------------------------------------------------
r9859 | funkydude | 2013-01-28 14:54:00 +0000 (Mon, 28 Jan 2013) | 1 line
Changed paths:
   M /trunk/Core/BossPrototype.lua

BossPrototype: Actually revert removal of :Whisper as it's still useful for certain old (non-current) content. Whisper filters are staying removed though, and :Whisper should generally be avoided for current and future content.
------------------------------------------------------------------------
r9858 | funkydude | 2013-01-28 14:20:45 +0000 (Mon, 28 Jan 2013) | 1 line
Changed paths:
   M /trunk/Core/BossPrototype.lua

BossPrototype: Nuke the :Whisper API, mainly because whisper filters are a dumb source of talent frame taint for those that have whispers on a separate docked chat window. Also because we hardly use it anymore, it's not really useful as most people run boss mods (which filter whispers), and it's semi-replaced by giant skulls on your head. Devs that may still want this for their custom guild big wigs mods should use SendChatMessage directly and probably check for group leader.
------------------------------------------------------------------------
r9857 | funkydude | 2013-01-28 13:46:37 +0000 (Mon, 28 Jan 2013) | 1 line
Changed paths:
   M /trunk/Core/BossPrototype.lua

BossPrototype: Remove long defunct :GetInstanceDifficulty API which stayed as a wrapper for :Difficulty.
------------------------------------------------------------------------
r9856 | funkydude | 2013-01-27 23:14:03 +0000 (Sun, 27 Jan 2013) | 1 line
Changed paths:
   M /trunk/HeartOfFear/Locales/deDE.lua
   M /trunk/HeartOfFear/Locales/esES.lua
   M /trunk/HeartOfFear/Locales/frFR.lua
   M /trunk/HeartOfFear/Locales/itIT.lua
   M /trunk/HeartOfFear/Locales/ruRU.lua
   M /trunk/HeartOfFear/Locales/zhCN.lua
   M /trunk/HeartOfFear/Locales/zhTW.lua
   M /trunk/HeartOfFear/Unsok.lua

Unsok: clean up the description of some options, bump berserk from 9 to 10min (if he even has one).
------------------------------------------------------------------------
r9855 | funkydude | 2013-01-27 20:54:17 +0000 (Sun, 27 Jan 2013) | 1 line
Changed paths:
   M /trunk/Options/Options.lua

Options: shuffle some code
------------------------------------------------------------------------
r9854 | funkydude | 2013-01-27 20:28:48 +0000 (Sun, 27 Jan 2013) | 1 line
Changed paths:
   M /trunk/HeartOfFear/Unsok.lua

Unsok: rename monstrosity to monster for the sake of bar length.
------------------------------------------------------------------------
r9853 | maat | 2013-01-27 18:18:40 +0000 (Sun, 27 Jan 2013) | 2 lines
Changed paths:
   M /trunk/ThroneOfThunder/LeiShen.lua
   M /trunk/ThroneOfThunder/Raden.lua

populate Lei Shen module
fix EJ id of Ra-den
------------------------------------------------------------------------
r9852 | funkydude | 2013-01-26 17:00:16 +0000 (Sat, 26 Jan 2013) | 1 line
Changed paths:
   M /trunk/HeartOfFear/Unsok.lua

Unsok: fix a StopBar call
------------------------------------------------------------------------
r9851 | nebula169 | 2013-01-26 16:38:19 +0000 (Sat, 26 Jan 2013) | 1 line
Changed paths:
   M /trunk/HeartOfFear/Zorlok.lua
   M /trunk/Mogushan/Elegon.lua

fix unit events
------------------------------------------------------------------------
r9850 | funkydude | 2013-01-26 16:30:39 +0000 (Sat, 26 Jan 2013) | 1 line
Changed paths:
   M /trunk/Mogushan/TheStoneGuard.lua

TheStoneGuard: fix a unit event
------------------------------------------------------------------------
r9849 | nebula169 | 2013-01-26 16:16:27 +0000 (Sat, 26 Jan 2013) | 1 line
Changed paths:
   M /trunk/HeartOfFear/Garalon.lua
   M /trunk/HeartOfFear/Meljarak.lua
   M /trunk/HeartOfFear/Shekzeer.lua
   M /trunk/HeartOfFear/Tayak.lua
   M /trunk/HeartOfFear/Unsok.lua
   M /trunk/HeartOfFear/Zorlok.lua

HeartOfFear: convert to new combat log method and merge :SaySelf into :Say
------------------------------------------------------------------------
r9848 | funkydude | 2013-01-26 15:50:02 +0000 (Sat, 26 Jan 2013) | 1 line
Changed paths:
   M /trunk/Core/BossPrototype.lua
   M /trunk/EndlessSpring/Protector.lua
   M /trunk/EndlessSpring/ShaOfFear.lua
   M /trunk/Mogushan/Feng.lua
   M /trunk/Mogushan/TheSpiritKings.lua
   M /trunk/ThroneOfThunder/Council.lua

Merge :SaySelf into :Say
------------------------------------------------------------------------
r9847 | nebula169 | 2013-01-26 15:40:43 +0000 (Sat, 26 Jan 2013) | 1 line
Changed paths:
   M /trunk/Pandaria/ShaOfAnger.lua

Pandaria: convert to new combat log method
------------------------------------------------------------------------
r9846 | nebula169 | 2013-01-26 15:36:29 +0000 (Sat, 26 Jan 2013) | 1 line
Changed paths:
   M /trunk/Mogushan/Elegon.lua
   M /trunk/Mogushan/Feng.lua
   M /trunk/Mogushan/Garajal.lua
   M /trunk/Mogushan/TheSpiritKings.lua
   M /trunk/Mogushan/TheStoneGuard.lua
   M /trunk/Mogushan/WillOfTheEmperor.lua

Mogushan: convert to new combat log method
------------------------------------------------------------------------
r9845 | maat | 2013-01-26 15:36:03 +0000 (Sat, 26 Jan 2013) | 1 line
Changed paths:
   M /trunk/ThroneOfThunder/Council.lua
   M /trunk/ThroneOfThunder/Horridon.lua
   M /trunk/ThroneOfThunder/IronQon.lua
   M /trunk/ThroneOfThunder/Jinrokh.lua

ThoneOfThunder: convert to new combat log method
------------------------------------------------------------------------
r9844 | funkydude | 2013-01-26 15:35:02 +0000 (Sat, 26 Jan 2013) | 1 line
Changed paths:
   M /trunk/EndlessSpring/LeiShi.lua
   M /trunk/EndlessSpring/Protector.lua
   M /trunk/EndlessSpring/ShaOfFear.lua
   M /trunk/EndlessSpring/Tsulong.lua

EnlessSpring: convert to new combat log method
------------------------------------------------------------------------
r9843 | funkydude | 2013-01-26 14:46:16 +0000 (Sat, 26 Jan 2013) | 2 lines
Changed paths:
   M /trunk/Core/BossPrototype.lua

BossPrototype: Break the current combat log mechanism. We now pass a table with args stored rather than a ton of args. Makes modules easier to develop and much more future proof.
Zips temp disabled.
------------------------------------------------------------------------
r9842 | maat | 2013-01-26 14:33:29 +0000 (Sat, 26 Jan 2013) | 1 line
Changed paths:
   M /trunk/ThroneOfThunder/Jinrokh.lua

populate the module
------------------------------------------------------------------------
r9841 | jongt23 | 2013-01-25 12:21:24 +0000 (Fri, 25 Jan 2013) | 1 line
Changed paths:
   M /trunk/Mogushan/Locales/esES.lua

esES update
------------------------------------------------------------------------
r9840 | funkydude | 2013-01-24 20:41:46 +0000 (Thu, 24 Jan 2013) | 1 line
Changed paths:
   M /trunk/EndlessSpring/Tsulong.lua

Tsulong: fix cancelling terrorize bar.
------------------------------------------------------------------------
r9839 | _yusaku_ | 2013-01-24 19:39:28 +0000 (Thu, 24 Jan 2013) | 1 line
Changed paths:
   M /trunk/Core/BigWigs_Core.toc
   M /trunk/Options/BigWigs_Options.toc
   M /trunk/Pandaria/BigWigs_Pandaria.toc
   M /trunk/Plugins/BigWigs_Plugins.toc

more itIT .toc notes added for current live modules avaible
------------------------------------------------------------------------
r9838 | funkydude | 2013-01-24 03:35:05 +0000 (Thu, 24 Jan 2013) | 1 line
Changed paths:
   M /trunk/Options/Options.lua

throw in a cataclysm panel also
------------------------------------------------------------------------
r9837 | funkydude | 2013-01-24 03:10:15 +0000 (Thu, 24 Jan 2013) | 1 line
Changed paths:
   M /trunk/Options/Options.lua

Options: quickly throw in a wotlk panel, will sort this later
------------------------------------------------------------------------
r9836 | pettigrow | 2013-01-23 18:08:03 +0000 (Wed, 23 Jan 2013) | 1 line
Changed paths:
   M /trunk/HeartOfFear/Locales/frFR.lua
   M /trunk/Plugins/Locales/frFR.lua

frFR Update
------------------------------------------------------------------------
r9835 | funkydude | 2013-01-23 17:18:19 +0000 (Wed, 23 Jan 2013) | 1 line
Changed paths:
   M /trunk/Core/BossPrototype.lua
   M /trunk/Mogushan/Garajal.lua

BossPrototype: fix an error in UnregisterUnitEvent for users that DC on certain bosses.
------------------------------------------------------------------------
r9834 | Wetxius | 2013-01-23 16:52:03 +0000 (Wed, 23 Jan 2013) | 1 line
Changed paths:
   M /trunk/HeartOfFear/Locales/ruRU.lua

Cleanup description for Attenuation on Zor'lok. Not needed on ruRU.
------------------------------------------------------------------------
r9833 | funkydude | 2013-01-23 16:51:06 +0000 (Wed, 23 Jan 2013) | 1 line
Changed paths:
   M /trunk/Core/BossPrototype.lua

BossPrototype: slight performance improvement for our combat log handler
------------------------------------------------------------------------
r9832 | funkydude | 2013-01-23 16:02:26 +0000 (Wed, 23 Jan 2013) | 1 line
Changed paths:
   M /trunk/Core/BossPrototype.lua

BossPrototype: rename some combat log args to be consistent with Blizzard's naming scheme. (first phase of redoing this system)
------------------------------------------------------------------------
r9831 | jongt23 | 2013-01-23 11:52:11 +0000 (Wed, 23 Jan 2013) | 1 line
Changed paths:
   M /trunk/HeartOfFear/Locales/esES.lua

esES update
------------------------------------------------------------------------
r9830 | Wetxius | 2013-01-23 09:05:36 +0000 (Wed, 23 Jan 2013) | 1 line
Changed paths:
   M /trunk/HeartOfFear/Locales/ruRU.lua

ruRU update.
------------------------------------------------------------------------
r9829 | _yusaku_ | 2013-01-23 08:09:40 +0000 (Wed, 23 Jan 2013) | 1 line
Changed paths:
   M /trunk/HeartOfFear/Locales/itIT.lua

itIT Locale updates
------------------------------------------------------------------------
r9828 | funkydude | 2013-01-23 01:15:25 +0000 (Wed, 23 Jan 2013) | 1 line
Changed paths:
   M /trunk/Plugins/Bars.lua

Bars: add font size slider.
------------------------------------------------------------------------
r9827 | funkydude | 2013-01-23 00:57:12 +0000 (Wed, 23 Jan 2013) | 1 line
Changed paths:
   M /trunk/EndlessSpring/ShaOfFear.lua
   M /trunk/HeartOfFear/Tayak.lua
   M /trunk/HeartOfFear/Unsok.lua
   M /trunk/ThroneOfThunder/IronQon.lua

Scrub "true" from our CancelTimer calls as it's no longer required.
------------------------------------------------------------------------
r9826 | nebula169 | 2013-01-23 00:55:12 +0000 (Wed, 23 Jan 2013) | 1 line
Changed paths:
   M /trunk/HeartOfFear/Unsok.lua

Unsok: typo fix
------------------------------------------------------------------------
r9825 | funkydude | 2013-01-22 23:55:48 +0000 (Tue, 22 Jan 2013) | 1 line
Changed paths:
   M /trunk/HeartOfFear/Locales/deDE.lua
   M /trunk/HeartOfFear/Locales/esES.lua
   M /trunk/HeartOfFear/Locales/frFR.lua
   M /trunk/HeartOfFear/Locales/itIT.lua
   M /trunk/HeartOfFear/Locales/ruRU.lua
   M /trunk/HeartOfFear/Locales/zhCN.lua
   M /trunk/HeartOfFear/Locales/zhTW.lua
   M /trunk/HeartOfFear/Unsok.lua

Unsok: only register the health event when you're a construct, rename some things.
------------------------------------------------------------------------
r9824 | _yusaku_ | 2013-01-22 22:49:25 +0000 (Tue, 22 Jan 2013) | 1 line
Changed paths:
   M /trunk/HeartOfFear/Locales/itIT.lua

itIT Locale updates
------------------------------------------------------------------------
r9823 | funkydude | 2013-01-22 22:01:01 +0000 (Tue, 22 Jan 2013) | 1 line
Changed paths:
   M /trunk/HeartOfFear/Locales/deDE.lua
   M /trunk/HeartOfFear/Locales/esES.lua
   M /trunk/HeartOfFear/Locales/frFR.lua
   M /trunk/HeartOfFear/Locales/itIT.lua
   M /trunk/HeartOfFear/Locales/ruRU.lua
   M /trunk/HeartOfFear/Locales/zhCN.lua
   M /trunk/HeartOfFear/Locales/zhTW.lua
   M /trunk/HeartOfFear/Unsok.lua

Unsok: change "explosion on YOU" bar to "You start casting..."
------------------------------------------------------------------------
r9822 | funkydude | 2013-01-22 21:12:28 +0000 (Tue, 22 Jan 2013) | 1 line
Changed paths:
   M /trunk/HeartOfFear/Shekzeer.lua

Shekzeer: revert bar stopping changes
------------------------------------------------------------------------
r9821 | funkydude | 2013-01-22 20:49:31 +0000 (Tue, 22 Jan 2013) | 1 line
Changed paths:
   M /trunk/HeartOfFear/Locales/deDE.lua
   M /trunk/HeartOfFear/Locales/esES.lua
   M /trunk/HeartOfFear/Locales/frFR.lua
   M /trunk/HeartOfFear/Locales/itIT.lua
   M /trunk/HeartOfFear/Locales/ruRU.lua
   M /trunk/HeartOfFear/Locales/zhCN.lua
   M /trunk/HeartOfFear/Locales/zhTW.lua
   M /trunk/HeartOfFear/Unsok.lua

Unsok: improve the destabilize bar more
------------------------------------------------------------------------
r9820 | _yusaku_ | 2013-01-22 20:31:00 +0000 (Tue, 22 Jan 2013) | 2 lines
Changed paths:
   M /trunk/EndlessSpring/BigWigs_EndlessSpring.toc
   M /trunk/HeartOfFear/BigWigs_HeartOfFear.toc
   M /trunk/HeartOfFear/Locales/itIT.lua
   M /trunk/Mogushan/BigWigs_Mogushan.toc
   M /trunk/Mogushan/Locales/itIT.lua

itIT Locale updates
itIT .toc notes added for current live modules avaible
------------------------------------------------------------------------
r9819 | Wetxius | 2013-01-22 19:58:30 +0000 (Tue, 22 Jan 2013) | 2 lines
Changed paths:
   M /trunk/HeartOfFear/Locales/ruRU.lua

ruRU update.
Fix "Eyes of the Empress" doudble bar.
------------------------------------------------------------------------
r9818 | _yusaku_ | 2013-01-22 18:39:23 +0000 (Tue, 22 Jan 2013) | 1 line
Changed paths:
   M /trunk/Locales/itIT.lua
   M /trunk/Plugins/Locales/itIT.lua

itIT Locale updates
------------------------------------------------------------------------
r9817 | funkydude | 2013-01-22 16:34:12 +0000 (Tue, 22 Jan 2013) | 1 line
Changed paths:
   M /trunk/HeartOfFear/Locales/deDE.lua
   M /trunk/HeartOfFear/Locales/esES.lua
   M /trunk/HeartOfFear/Locales/frFR.lua
   M /trunk/HeartOfFear/Locales/itIT.lua
   M /trunk/HeartOfFear/Locales/ruRU.lua
   M /trunk/HeartOfFear/Locales/zhCN.lua
   M /trunk/HeartOfFear/Locales/zhTW.lua
   M /trunk/HeartOfFear/Unsok.lua

Unsok: shorten and color the destabilize bar text
------------------------------------------------------------------------
r9816 | funkydude | 2013-01-21 14:42:33 +0000 (Mon, 21 Jan 2013) | 1 line
Changed paths:
   M /trunk/Core/BossPrototype.lua
   M /trunk/Loader.lua

prevent pulse firing for now, will need to think of something better or stay with flash only
------------------------------------------------------------------------
r9815 | funkydude | 2013-01-20 18:17:55 +0000 (Sun, 20 Jan 2013) | 1 line
Changed paths:
   M /trunk/Core/BossPrototype.lua

BossPrototype: add callbacks for reboot (wipe) and win.
------------------------------------------------------------------------
r9814 | maat | 2013-01-20 16:16:45 +0000 (Sun, 20 Jan 2013) | 3 lines
Changed paths:
   M /trunk/Plugins/Proximity.lua
   M /trunk/ThroneOfThunder/Council.lua
   M /trunk/ThroneOfThunder/Horridon.lua
   M /trunk/ThroneOfThunder/IronQon.lua

populate the Iron Qon module
add some assumed berserk timers
fix mapData for ThunderKingRaid
------------------------------------------------------------------------
r9813 | funkydude | 2013-01-19 18:33:33 +0000 (Sat, 19 Jan 2013) | 1 line
Changed paths:
   M /trunk/Loader.lua

Loader: bugfix removing an old DB entry for new users.
------------------------------------------------------------------------
r9812 | funkydude | 2013-01-19 17:56:10 +0000 (Sat, 19 Jan 2013) | 1 line
Changed paths:
   M /trunk/Loader.lua

Loader: restrict the pulse print to only show once.
------------------------------------------------------------------------
r9811 | maat | 2013-01-18 17:48:13 +0000 (Fri, 18 Jan 2013) | 3 lines
Changed paths:
   M /trunk/Core/BossPrototype.lua
   M /trunk/ThroneOfThunder/Horridon.lua

populate Horridon module
add API to get EJ section flag icon

------------------------------------------------------------------------
r9810 | funkydude | 2013-01-18 13:40:20 +0000 (Fri, 18 Jan 2013) | 1 line
Changed paths:
   M /trunk/Loader.lua

Loader: add a temporary print about pulse
------------------------------------------------------------------------
r9809 | Wetxius | 2013-01-18 07:45:40 +0000 (Fri, 18 Jan 2013) | 1 line
Changed paths:
   M /trunk/Plugins/Locales/ruRU.lua

ruRU update.
------------------------------------------------------------------------
r9808 | funkydude | 2013-01-17 20:37:29 +0000 (Thu, 17 Jan 2013) | 1 line
Changed paths:
   M /trunk/Plugins/Flash.lua

Pulse: Set "ADD" blend mode and reduce alpha in the name of transparency. Seriously, we need actual feedback on this not "how do I turn it off". If it sucks, we remove it and think of something else.
------------------------------------------------------------------------
r9807 | funkydude | 2013-01-17 17:16:40 +0000 (Thu, 17 Jan 2013) | 1 line
Changed paths:
   M /trunk/Plugins/Flash.lua

Pulse: aesthetic improvements.
------------------------------------------------------------------------
r9806 | funkydude | 2013-01-17 16:18:50 +0000 (Thu, 17 Jan 2013) | 1 line
Changed paths:
   M /trunk/EndlessSpring/Tsulong.lua

Tsulong: LFR berserk
------------------------------------------------------------------------
r9805 | funkydude | 2013-01-17 16:16:47 +0000 (Thu, 17 Jan 2013) | 1 line
Changed paths:
   M /trunk/Plugins/Bars.lua
   M /trunk/Plugins/Locales/deDE.lua
   M /trunk/Plugins/Locales/enUS.lua
   M /trunk/Plugins/Locales/esES.lua
   M /trunk/Plugins/Locales/frFR.lua
   M /trunk/Plugins/Locales/itIT.lua
   M /trunk/Plugins/Locales/koKR.lua
   M /trunk/Plugins/Locales/ptBR.lua
   M /trunk/Plugins/Locales/ruRU.lua
   M /trunk/Plugins/Locales/zhCN.lua
   M /trunk/Plugins/Locales/zhTW.lua

remove a few old locale strings and update one of them.
------------------------------------------------------------------------
r9804 | funkydude | 2013-01-17 15:48:29 +0000 (Thu, 17 Jan 2013) | 1 line
Changed paths:
   M /trunk/Core/BossPrototype.lua
   M /trunk/Core/Core.lua
   M /trunk/Plugins/Flash.lua

Removed the "Shake" feature, patch 5.1 has broke this by making the WorldFrame permanently protected. >FEEDBACK REQUIRED< Attempted replacement with a new "pulse" feature.
------------------------------------------------------------------------
r9803 | funkydude | 2013-01-17 13:59:38 +0000 (Thu, 17 Jan 2013) | 1 line
Changed paths:
   M /trunk/HeartOfFear/Locales/zhTW.lua
   M /trunk/Locales/common.zhTW.lua
   M /trunk/Locales/zhTW.lua
   M /trunk/Mogushan/Locales/zhTW.lua
   M /trunk/Plugins/Locales/zhTW.lua

zhTW update by BNSSNB
------------------------------------------------------------------------
r9802 | maat | 2013-01-17 13:12:32 +0000 (Thu, 17 Jan 2013) | 1 line
Changed paths:
   M /trunk/ThroneOfThunder/Council.lua

open proximity for 7 yards in heroic
------------------------------------------------------------------------
r9801 | funkydude | 2013-01-17 01:54:51 +0000 (Thu, 17 Jan 2013) | 1 line
Changed paths:
   M /trunk/Plugins/Bars.lua

Bars: Remove the bar "flash". It wasn't very obvious to be worthwhile, wasn't very efficient, and generally annoyed people customizing their UI.
------------------------------------------------------------------------
r9800 | funkydude | 2013-01-17 00:58:55 +0000 (Thu, 17 Jan 2013) | 1 line
Changed paths:
   M /trunk/BigWigs.toc
   M /trunk/Loader.lua
   D /trunk/Plugins/Tips.lua
   M /trunk/Plugins/modules.xml

bumping to v4, nuke the outdated tips module. Devs beware, API breakage soon.
------------------------------------------------------------------------
r9798 | funkydude | 2013-01-17 00:00:29 +0000 (Thu, 17 Jan 2013) | 1 line
Changed paths:
   M /trunk/HeartOfFear/Shekzeer.lua

Shekzeer: minor tweak
------------------------------------------------------------------------
r9797 | funkydude | 2013-01-16 23:25:59 +0000 (Wed, 16 Jan 2013) | 1 line
Changed paths:
   M /trunk/HeartOfFear/Shekzeer.lua
   M /trunk/Plugins/Bars.lua

Shekzeer: maybe fix a bar stopping issue.
------------------------------------------------------------------------
r9796 | funkydude | 2013-01-16 19:45:25 +0000 (Wed, 16 Jan 2013) | 1 line
Changed paths:
   M /trunk/Plugins/Bars.lua

Bars: small throttle for pull/custom bars, drycoded.
------------------------------------------------------------------------
r9795 | funkydude | 2013-01-16 18:01:54 +0000 (Wed, 16 Jan 2013) | 1 line
Changed paths:
   M /trunk/.pkgmeta
   M /trunk/BigWigs.toc
   M /trunk/Plugins/BigWigs_Plugins.toc
   M /trunk/Plugins/Emphasize.lua
   A /trunk/Plugins/Libs
   A /trunk/Plugins/libs.xml
   M /trunk/embeds.xml

Move the plugin-specific libraries from the core to the plugins addon.
------------------------------------------------------------------------
r9794 | Wetxius | 2013-01-16 16:24:25 +0000 (Wed, 16 Jan 2013) | 1 line
Changed paths:
   M /trunk/Pandaria/BigWigs_Pandaria.toc

ruRU update.
------------------------------------------------------------------------
r9793 | Wetxius | 2013-01-16 08:52:43 +0000 (Wed, 16 Jan 2013) | 1 line
Changed paths:
   M /trunk/Locales/ruRU.lua

ruRU update.
------------------------------------------------------------------------
r9792 | funkydude | 2013-01-16 01:43:04 +0000 (Wed, 16 Jan 2013) | 1 line
Changed paths:
   M /trunk/Plugins/Bars.lua
   M /trunk/Plugins/Emphasize.lua

Move the emphasize countdown code from the bars to the emphasize module.
------------------------------------------------------------------------
r9791 | funkydude | 2013-01-15 17:16:27 +0000 (Tue, 15 Jan 2013) | 1 line
Changed paths:
   M /trunk/HeartOfFear/Meljarak.lua
   M /trunk/HeartOfFear/Tayak.lua

Tayak / Meljarak: Call CloseProximity() to compensate for specific abilities being turned off.
------------------------------------------------------------------------
r9790 | funkydude | 2013-01-15 15:14:05 +0000 (Tue, 15 Jan 2013) | 1 line
Changed paths:
   M /trunk/Loader.lua

Loader: send the fake DBM version if the feature is being turned on whilst inside a raid/group.
------------------------------------------------------------------------
r9789 | maat | 2013-01-15 13:28:16 +0000 (Tue, 15 Jan 2013) | 1 line
Changed paths:
   M /trunk/Plugins/Bars.lua

make pull timer use the countdown sound and play an initial sound when a pull timer is started
------------------------------------------------------------------------
r9788 | Wetxius | 2013-01-15 07:42:29 +0000 (Tue, 15 Jan 2013) | 1 line
Changed paths:
   M /trunk/Locales/ruRU.lua
   M /trunk/Plugins/Locales/ruRU.lua
   M /trunk/ThroneOfThunder/Locales/ruRU.lua

ruRU update.
------------------------------------------------------------------------
r9786 | maat | 2013-01-14 19:53:43 +0000 (Mon, 14 Jan 2013) | 2 lines
Changed paths:
   M /trunk/Plugins/Sound.lua
   M /trunk/ThroneOfThunder/Council.lua

populate the council module
register the countdown sounds with LSM
------------------------------------------------------------------------
r9785 | funkydude | 2013-01-14 18:47:39 +0000 (Mon, 14 Jan 2013) | 1 line
Changed paths:
   M /trunk/BigWigs.toc
   M /trunk/Options/Options.lua

update authors list
------------------------------------------------------------------------
r9783 | Wetxius | 2013-01-14 08:11:37 +0000 (Mon, 14 Jan 2013) | 1 line
Changed paths:
   M /trunk/Plugins/Locales/ruRU.lua

ruRU update.
------------------------------------------------------------------------
r9782 | pettigrow | 2013-01-14 07:17:25 +0000 (Mon, 14 Jan 2013) | 1 line
Changed paths:
   M /trunk/Plugins/Locales/frFR.lua

frFR Update
------------------------------------------------------------------------
r9781 | funkydude | 2013-01-14 03:16:29 +0000 (Mon, 14 Jan 2013) | 1 line
Changed paths:
   M /trunk/Core/BossPrototype.lua
   M /trunk/Options/Options.lua

tweaks
------------------------------------------------------------------------
r9780 | funkydude | 2013-01-14 02:44:48 +0000 (Mon, 14 Jan 2013) | 1 line
Changed paths:
   M /trunk/Core/Core.lua
   M /trunk/Plugins/Bars.lua
   M /trunk/Plugins/Locales/deDE.lua
   M /trunk/Plugins/Locales/enUS.lua
   M /trunk/Plugins/Locales/esES.lua
   M /trunk/Plugins/Locales/frFR.lua
   M /trunk/Plugins/Locales/itIT.lua
   M /trunk/Plugins/Locales/koKR.lua
   M /trunk/Plugins/Locales/ptBR.lua
   M /trunk/Plugins/Locales/ruRU.lua
   M /trunk/Plugins/Locales/zhCN.lua
   M /trunk/Plugins/Locales/zhTW.lua

Bars: localize various chat prints
------------------------------------------------------------------------
r9779 | funkydude | 2013-01-14 01:17:10 +0000 (Mon, 14 Jan 2013) | 1 line
Changed paths:
   M /trunk/Options/Options.lua

Options: add a button for the customize section on the main panel to work around some tunnel visioned folk.
------------------------------------------------------------------------
r9778 | funkydude | 2013-01-14 01:15:51 +0000 (Mon, 14 Jan 2013) | 1 line
Changed paths:
   M /trunk/Loader.lua

Loader: random cleanups
------------------------------------------------------------------------
r9777 | funkydude | 2013-01-13 22:29:40 +0000 (Sun, 13 Jan 2013) | 1 line
Changed paths:
   M /trunk/Core/BossPrototype.lua
   M /trunk/Plugins/Bars.lua
   M /trunk/Plugins/Emphasize.lua

Cleanup some timer calls now we can send unlimited acetimer args.
------------------------------------------------------------------------
r9776 | funkydude | 2013-01-13 21:42:49 +0000 (Sun, 13 Jan 2013) | 1 line
Changed paths:
   M /trunk/BigWigs.toc

bump to grab re-written acetimer.
------------------------------------------------------------------------
r9775 | funkydude | 2013-01-12 21:58:04 +0000 (Sat, 12 Jan 2013) | 1 line
Changed paths:
   M /trunk/EndlessSpring/LeiShi.lua

LeiShi: add corrupted protector as an enable trigger.
------------------------------------------------------------------------
r9774 | funkydude | 2013-01-12 21:19:00 +0000 (Sat, 12 Jan 2013) | 1 line
Changed paths:
   M /trunk/Plugins/Bars.lua

Bars: Try and work around DBMs terrible way of broadcasting pull bars.
------------------------------------------------------------------------
r9773 | Wetxius | 2013-01-12 19:29:33 +0000 (Sat, 12 Jan 2013) | 1 line
Changed paths:
   M /trunk/Locales/ruRU.lua

ruRU update.
------------------------------------------------------------------------
r9772 | pettigrow | 2013-01-12 17:52:52 +0000 (Sat, 12 Jan 2013) | 1 line
Changed paths:
   M /trunk/EndlessSpring/Locales/frFR.lua
   M /trunk/HeartOfFear/Locales/frFR.lua
   M /trunk/Locales/common.frFR.lua
   M /trunk/Locales/frFR.lua
   M /trunk/Plugins/Locales/frFR.lua

frFR Update
------------------------------------------------------------------------
r9771 | funkydude | 2013-01-12 16:36:09 +0000 (Sat, 12 Jan 2013) | 1 line
Changed paths:
   M /trunk/Core/BossPrototype.lua

BossPrototype: fire a callback message when a boss is engaged.
------------------------------------------------------------------------
r9770 | maat | 2013-01-12 16:08:36 +0000 (Sat, 12 Jan 2013) | 1 line
Changed paths:
   M /trunk/Plugins/Emphasize.lua

make things look nicer
------------------------------------------------------------------------
r9769 | funkydude | 2013-01-12 15:55:50 +0000 (Sat, 12 Jan 2013) | 1 line
Changed paths:
   M /trunk/Core/Core.lua

Core: "seenmovies" should be stored in the global profile
------------------------------------------------------------------------
r9768 | funkydude | 2013-01-12 15:54:58 +0000 (Sat, 12 Jan 2013) | 1 line
Changed paths:
   M /trunk/Loader.lua

Loader: fix unregistering callbacks
------------------------------------------------------------------------
r9767 | maat | 2013-01-12 15:54:52 +0000 (Sat, 12 Jan 2013) | 1 line
Changed paths:
   M /trunk/Plugins/Emphasize.lua

move all remaining options to configuration window
------------------------------------------------------------------------
r9766 | funkydude | 2013-01-12 13:39:29 +0000 (Sat, 12 Jan 2013) | 1 line
Changed paths:
   M /trunk/Core/Core.lua
   M /trunk/Loader.lua
   M /trunk/Locales/deDE.lua
   M /trunk/Locales/enUS.lua
   M /trunk/Locales/esES.lua
   M /trunk/Locales/frFR.lua
   M /trunk/Locales/itIT.lua
   M /trunk/Locales/koKR.lua
   M /trunk/Locales/ptBR.lua
   M /trunk/Locales/ruRU.lua
   M /trunk/Locales/zhCN.lua
   M /trunk/Locales/zhTW.lua
   M /trunk/Options/Options.lua
   M /trunk/Plugins/Bars.lua

2 new (off by default) features. 1) DBM version faking, mainly for guilds that force DBM. 2) Listening for DBM custom/pull bars. See the checkboxes in the main menu.
------------------------------------------------------------------------
r9765 | maat | 2013-01-11 22:22:11 +0000 (Fri, 11 Jan 2013) | 1 line
Changed paths:
   M /trunk/Plugins/Proximity.lua

Throne of Thunder mapData
------------------------------------------------------------------------
